org.eclipse.ecf.core

## Class ContainerAuthenticationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.core.runtime.CoreException
      - - org.eclipse.ecf.core.util.ECFException
        - - org.eclipse.ecf.core.ContainerConnectException
          - - org.eclipse.ecf.core.ContainerAuthenticationException

All Implemented Interfaces:
  Serializable

    public class ContainerAuthenticationException
    extends ContainerConnectException

Exception class to be thrown upon authentication failure during connect

See Also:
  `IContainer.connect(org.eclipse.ecf.core.identity.ID, org.eclipse.ecf.core.security.IConnectContext)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ContainerAuthenticationException()`
`ContainerAuthenticationException(String message)`
`ContainerAuthenticationException(String message, Throwable cause)`
`ContainerAuthenticationException(Throwable cause)`

### Method Summary

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContainerAuthenticationException

    public ContainerAuthenticationException()

#### ContainerAuthenticationException

    public ContainerAuthenticationException(String message)

#### ContainerAuthenticationException

    public ContainerAuthenticationException(Throwable cause)

#### ContainerAuthenticationException

    public ContainerAuthenticationException(String message,
                                            Throwable cause)